=== modified file 'bias_electronic_invoice/wizard/wizard_electronic_invoice_report.py'
--- bias_electronic_invoice/wizard/wizard_electronic_invoice_report.py	2011-04-12 23:03:09 +0000
+++ bias_electronic_invoice/wizard/wizard_electronic_invoice_report.py	2011-04-25 20:49:26 +0000
@@ -210,14 +210,14 @@
 												   res[inv_numb]['subtotal_valuestr'],
 												   res[inv_numb]['tax_valuestr'])
 					if res[inv_numb]['ERROR']:
-						report_line += line + '********** REVISAR MANUALMENTE %s *********'%(inv_numb) + '\n'
+						report_line += line + '********** REVISAR MANUALMENTE FOLIO %s, ID %s *********'%(inv_numb, res[inv_numb]['id']) + '\n'
 					else:
 						report_line += line +'\n'
 					#report_line += line +'\n'
 				except IndexError:
-					report_line += '-------- NO HAY ARCHIVO XML DEL FOLIO %s -----------'%(inv_numb) + '\n'
+					report_line += '-------- NO HAY ARCHIVO XML DEL FOLIO %s, ID %s -----------'%(inv_numb , res[inv_numb]['id']) + '\n'
  				except etree.XMLSyntaxError:
- 					report_line += '-------- ERROR EN ARCHIVO XML DEL FOLIO %s -----------'%(inv_numb) + '\n'
+ 					report_line += '-------- ERROR EN ARCHIVO XML DEL FOLIO %s, ID %s-----------'%(inv_numb, res[inv_numb]['id']) + '\n'
 					
 		return report_line
 

=== modified file 'bias_electronic_invoice_v6/invoice.py'
--- bias_electronic_invoice_v6/invoice.py	2011-04-20 14:18:31 +0000
+++ bias_electronic_invoice_v6/invoice.py	2011-04-29 00:32:06 +0000
@@ -70,7 +70,6 @@
 		'uuid':fields.char('UUID', size=36),
 		'bar_code': fields.binary('Bar Code'),
 		#'provider_signature':  fields.text('Signature Provider'),
-		#'invoice_xml':fields.text('Invoice_Xml'),
 		}
 
 
@@ -204,7 +203,6 @@
                                 date_time = now().Format('%Y-%m-%d %H:%M:%S')
                                 self.write(cr, uid, ids, {'cancel_date':date_time})
 			if inv_brw.company_id.proveedor_cfd == 'my_suite_cfd' and inv_brw.journal_id.e_invoice:
-				print 'entra al metodo de canclacio de my suite'
 				from  invoice_mys import *
 				self.mysuiteConn = MySuiteConn()
 				self.mysuiteConn.transaction = "CANCEL_XML"
@@ -288,7 +286,7 @@
 				'FROM account_invoice ' \
 				'WHERE id IN ('+','.join(map(str,ids))+')')
 		for (id, invtype, number, move_id, reference) in cr.fetchall():
-			if not number:
+			if not number or number == '/':
 				if (self.browse(cr, uid, id).journal_id.e_invoice) and (self.browse(cr, uid, id).journal_id.code == 'nota_credito_e'):
 					invtype = 'nota_credito_e'
 				elif self.browse(cr, uid, id).journal_id.e_invoice:
@@ -300,13 +298,13 @@
 				else:
 					ref = self._convert_ref(cr, uid, number)
 				cr.execute('UPDATE account_invoice SET number=%s ' \
-						'WHERE id=%d', (number, id))
+						'WHERE id=%s', (number, id))
 				cr.execute('UPDATE account_move_line SET ref=%s ' \
-						'WHERE move_id=%d AND (ref is null OR ref = \'\')',
+						'WHERE move_id=%s AND (ref is null OR ref = \'\')',
 						(ref, move_id))
 				cr.execute('UPDATE account_analytic_line SET ref=%s ' \
 						'FROM account_move_line ' \
-						'WHERE account_move_line.move_id = %d ' \
+						'WHERE account_move_line.move_id = %s ' \
 							'AND account_analytic_line.move_id = account_move_line.id',
 							(ref, move_id))
 		return True
@@ -336,14 +334,15 @@
 			if inv_brw.type in ('in_invoice','in_refund'):
 				super(account_invoice, self).action_number( cr, uid, ids, *args)
 			#super(account_invoice, self).action_number( cr, uid, ids, *args)
-			else:
-				print 'se va por el else en test_open'
-				super(account_invoice, self).action_number( cr, uid, [inv_brw.id], *args)
+			#else:
+				#print '	super(account_invoice'
+				#super(account_invoice, self).action_number( cr, uid, [inv_brw.id], *args)
 			if (inv_brw.journal_id.e_invoice) and (inv_brw.type in ('out_invoice', 'out_refund')):
 				#try:
-				#self.action_number( cr, uid, [inv_brw.id], *args)
+				self.action_number( cr, uid, [inv_brw.id], *args)
 				if inv_brw.company_id.proveedor_cfd == 'propios_medios':
 					cadenatimbre = ''
+					print 'create_xml'
 					cfe = self.create_xml(cr, uid, [inv_brw.id], *args)
 					cfe_str = etree.tostring(cfe, pretty_print=True, encoding='utf-8')
 				elif inv_brw.company_id.proveedor_cfd == 'my_suite_cfd':
@@ -402,7 +401,6 @@
 
 
 	def make_barcode(self, cr, uid, inv_id):
-		print 'make_barcode',inv_id
 		inv_brw = self.browse(cr, uid, inv_id)
 		cfdutil.createBarCodeImg(inv_brw.company_id.partner_id.vat,
 					 inv_brw.partner_id.vat,
@@ -793,9 +791,16 @@
 	
 	def get_inv_number(self, cr, uid, inv_brw):
 		prefix = ''
-		if inv_brw.journal_id.sequence_id:
-			prefix = inv_brw.journal_id.sequence_id.prefix
+		if (inv_brw.journal_id.e_invoice) and (inv_brw.journal_id.code == 'nota_credito_e'):
+			invtype = 'nota_credito_e'
+		elif inv_brw.journal_id.e_invoice:
+			invtype = 'factura_e'
+		sequence_obj = self.pool.get('ir.sequence')
+		code = 'account.invoice.' + invtype
+		sequence_id = sequence_obj.search(cr, uid, [('code','=',code)])
+		prefix = sequence_obj.browse(cr, uid, sequence_id[0]).prefix
 		if (prefix) and (inv_brw.number):
+
 			number = int(inv_brw.number[len(prefix):])
 		else:
 			number = int(inv_brw.number)

=== modified file 'bias_electronic_invoice_v6/invoice_mys.py'
--- bias_electronic_invoice_v6/invoice_mys.py	2011-03-30 23:02:50 +0000
+++ bias_electronic_invoice_v6/invoice_mys.py	2011-04-29 23:11:42 +0000
@@ -166,7 +166,6 @@
         xx = mysuite.agregaSubElem(concepto, "Descripcion", item.get("descripcion"))
         xx = mysuite.agregaSubElem(concepto, "ValorUnitario", item.get("valorUnitario"))
         xx = mysuite.agregaSubElem(concepto, "Importe", item.get("importe"))
-        print 'impuesos dir', my_suite_dir
         if my_suite_dir.has_key('impuestos_conceptos'):
             importe_total += float(item.get("importe"))
             if my_suite_dir['impuestos_conceptos'].has_key(line_num):

=== modified file 'bias_electronic_invoice_v6/invoice_view.xml'
--- bias_electronic_invoice_v6/invoice_view.xml	2011-04-20 14:18:31 +0000
+++ bias_electronic_invoice_v6/invoice_view.xml	2011-04-28 00:33:26 +0000
@@ -7,7 +7,7 @@
 	# Add Sello y Certificado to Electronic Invoice
 	# ------------------------------------------------------
 	# ------------------------------------------------------
-	# Customer Invoice
+	# Customer Invoice Con Codigo de barras
 	# ------------------------------------------------------
 	<record model="ir.ui.view" id="invoice_client_form">
 		<field name="name">account.electronic.invoice.form.inherit</field>

=== modified file 'bias_payment_v6/payment.py'
--- bias_payment_v6/payment.py	2011-03-31 23:00:17 +0000
+++ bias_payment_v6/payment.py	2011-05-08 14:41:59 +0000
@@ -294,7 +294,8 @@
             currency_id = cheque.mode.journal.currency.id != company_currency_id and cheque.mode.journal.currency.id or False
             period_id = self.pool.get('account.period').find(cr, uid, cheque.date)[0]
             ref = ''
-            move = {'ref': ref, 'journal_id': cheque.mode.journal.id, 'period_id': period_id, 'date': cheque.date, 'type': 'bank_pay_voucher'}
+            move = {'journal_id': cheque.mode.journal.id, 'period_id': period_id, 'date': cheque.date, 'type': 'bank_pay_voucher'}
+#            move = {'name': 'CHK'+number, 'journal_id': cheque.mode.journal.id, 'period_id': period_id, 'date': cheque.date}
             move_id = self.pool.get('account.move').create(cr, uid, move)
             for line in cheque.line_id:
                 payment = line.amount_currency
@@ -305,20 +306,21 @@
                 elif line.move_line_id and (journal_currency_id == company_currency_id != line.move_line_id.currency_id.id):
                         payment = line.amount_currency
                         line_currency_id = line.move_line_id.currency_id.id
+                reference = (line.ml_inv_ref and line.ml_inv_ref.reference) and line.ml_inv_ref.reference or line.move_line_id and \
+                            line.move_line_id.ref or number
                 l1 = {
                     'debit': payment>0 and payment or 0.0,
                     'credit': payment<0 and payment or 0.0,
                     'account_id': line.account_id.id,
                     'partner_id': line.partner_id.id,
-#                    'ref': line.move_line_id and line.move_line_id.ref or number,
-		    'ref': (line.ml_inv_ref and line.ml_inv_ref.reference) and 'Fac.'+line.ml_inv_ref.reference or line.move_line_id and line.move_line_id.ref or number,
+        		    'ref': reference,
                     'date': line.date,
                     'currency_id': currency_id,
                     'amount_currency': currency_id and line.amount_currency,
                     'journal_id': cheque.mode.journal.id,
                     'period_id': period_id,
                     'move_id': move_id,
-                    'name': (line.ml_inv_ref and line.ml_inv_ref.reference) and 'Fac.'+line.ml_inv_ref.reference or line.move_line_id and line.move_line_id.ref or number
+                    'name': reference
                 }
                 debit += l1['credit']
                 credit += l1['debit']
@@ -326,6 +328,10 @@
                 ref += (ref and ',') + l1['ref']
                 values[line.id] = l1
                 values_payed[line.id] = line.move_line_id
+                line_id = move_line_obj.create(cr, uid, l1)
+                values_pay[line.id] = line_id
+                move_line_obj.write(cr, uid, [line_id], {'ref': reference})
+                print 'line=',move_line_obj.browse(cr, uid, line_id).ref
             l2 = {
                     'debit': debit,
                     'credit': credit,
@@ -340,11 +346,16 @@
                     'move_id': move_id,
                     'name': 'CHK'+number
             }
-            for key in values.keys():
-                line_id = move_line_obj.create(cr, uid, values[key])
-                values_pay[key] = line_id
-            line_id = self.pool.get('account.move.line').create(cr, uid, l2)
-            self.pool.get('account.move').write(cr, uid, [move_id], {'ref': ref})
+#            for key in values.keys():
+#                line_id = move_line_obj.create(cr, uid, values[key])
+#                print key, values.keys(), values
+#                values_pay[key] = line_id
+#                move_line_obj.write(cr, uid, [line_id], {'ref': values[key]['ref']})
+#                print 'line=',move_line_obj.browse(cr, uid, line_id).ref
+            line_id = move_line_obj.create(cr, uid, l2)
+            move_line_obj.write(cr, uid, [line_id], {'ref': ref})
+            print 'line=',move_line_obj.browse(cr, uid, line_id).ref
+#            self.pool.get('account.move').write(cr, uid, [move_id], {'ref': ref})
             for key in values.keys():
                 if not values_payed[key]:
                     if cheque.mode.writeoff_acc_id:

=== modified file 'bias_product_price_currency/product_view.xml'
--- bias_product_price_currency/product_view.xml	2011-04-21 00:18:44 +0000
+++ bias_product_price_currency/product_view.xml	2011-05-09 13:36:45 +0000
@@ -2,7 +2,7 @@
 <openerp>
     <data>
         
-<!--        Account Move -->
+<!--        Product Form plus currency_id field -->
         <record id="product_normal_form_view_inherit" model="ir.ui.view">
             <field name="name">product.normal.form.inherit</field>
             <field name="model">product.product</field>

=== added directory 'bias_product_related_cost'
=== added file 'bias_product_related_cost/__init__.py'
--- bias_product_related_cost/__init__.py	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/__init__.py	2011-05-09 13:36:45 +0000
@@ -0,0 +1,27 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution	
+#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import product
+import partner
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'bias_product_related_cost/__openerp__.py'
--- bias_product_related_cost/__openerp__.py	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/__openerp__.py	2011-05-09 13:36:45 +0000
@@ -0,0 +1,43 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution	
+#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+
+{
+    'name': 'Product Related Cost',
+    'version': '0.1',
+    'category': 'Generic Modules/Product',
+    'description': """  Include in product cost everything directly related to the received products. You could include such elements as:
+    • supplier price,
+    • delivery charges,
+    • manufacturing costs,
+    • storage charges.
+ """,
+    'author': 'BIAS',
+    'depends': ['product'],
+    'update_xml': [
+        'security/ir.model.access.csv',
+        'product_view.xml',
+        'partner_view.xml'],
+    'installable': True,
+    'active': False,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'bias_product_related_cost/i18n'
=== added file 'bias_product_related_cost/i18n/es_MX.po'
--- bias_product_related_cost/i18n/es_MX.po	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/i18n/es_MX.po	2011-05-09 13:36:45 +0000
@@ -0,0 +1,147 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* bias_product_related_cost
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 6.0.2\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2011-05-09 00:02+0000\n"
+"PO-Revision-Date: 2011-05-09 00:02+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: bias_product_related_cost
+#: help:product.product,first_cost:0
+msgid "Product's first cost."
+msgstr "Product's first cost."
+
+#. module: bias_product_related_cost
+#: help:product.product,purchase_standard_price:0
+msgid "Product's standard cost based in purchase only."
+msgstr "Product's standard cost based in purchase only."
+
+#. module: bias_product_related_cost
+#: field:res.partner.related.cost,factor:0
+#: field:res.partner.related.cost.line,factor:0
+msgid "Factor"
+msgstr "Factor"
+
+#. module: bias_product_related_cost
+#: field:product.product,purchase_standard_price:0
+msgid "Std. Purchase Price"
+msgstr "Std. Purchase Price"
+
+#. module: bias_product_related_cost
+#: field:product.product,last_cost:0
+msgid "Last Cost"
+msgstr "Last Cost"
+
+#. module: bias_product_related_cost
+#: model:ir.model,name:bias_product_related_cost.model_product_product
+#: field:res.partner.related.cost.line,product_id:0
+msgid "Product"
+msgstr "Producto"
+
+#. module: bias_product_related_cost
+#: model:ir.actions.act_window,name:bias_product_related_cost.partner_related_cost_form_action
+#: model:ir.ui.menu,name:bias_product_related_cost.menu_partner_related_cost
+#: model:ir.ui.menu,name:bias_product_related_cost.menu_partner_related_cost_form_action
+#: view:res.partner.related.cost:0
+msgid "Partner Related Costs"
+msgstr "Partner Related Costs"
+
+#. module: bias_product_related_cost
+#: field:product.product,first_cost:0
+msgid "First Cost"
+msgstr "First Cost"
+
+#. module: bias_product_related_cost
+#: view:product.product:0
+msgid "Product's Costs"
+msgstr "Product's Costs"
+
+#. module: bias_product_related_cost
+#: field:res.partner.related.cost,active:0
+#: field:res.partner.related.cost.line,active:0
+msgid "Active"
+msgstr "Active"
+
+#. module: bias_product_related_cost
+#: field:product.product,clon_standard_price:0
+msgid "Cost Price"
+msgstr "Cost Price"
+
+#. module: bias_product_related_cost
+#: field:res.partner.related.cost,name:0
+msgid "Name"
+msgstr "Name"
+
+#. module: bias_product_related_cost
+#: help:product.product,clon_standard_price:0
+msgid "Product's standard cost based in purchase and related costs."
+msgstr "Product's standard cost based in purchase and related costs."
+
+#. module: bias_product_related_cost
+#: field:res.partner,related_cost_ids:0
+#: field:res.partner.related.cost.line,relaed_cost_id:0
+msgid "Related Cost"
+msgstr "Related Cost"
+
+#. module: bias_product_related_cost
+#: view:res.partner:0
+msgid "Partner's Related Costs"
+msgstr "Partner's Related Costs"
+
+#. module: bias_product_related_cost
+#: help:product.product,last_cost:0
+msgid "Product's last cost."
+msgstr "Product's last cost."
+
+#. module: bias_product_related_cost
+#: model:ir.actions.act_window,help:bias_product_related_cost.partner_related_cost_form_action
+msgid "Create and manage the product cost directly related to the received product. You could include such elements as:\n"
+"    • supplier price,\n"
+"    • delivery charges,\n"
+"    • manufacturing costs,\n"
+"    • storage charges.."
+msgstr "Create and manage the product cost directly related to the received product. You could include such elements as:\n"
+"    • supplier price,\n"
+"    • delivery charges,\n"
+"    • manufacturing costs,\n"
+"    • storage charges.."
+
+#. module: bias_product_related_cost
+#: view:res.partner:0
+msgid "Related Costs"
+msgstr "Related Costs"
+
+#. module: bias_product_related_cost
+#: constraint:product.product:0
+msgid "Error: Invalid ean code"
+msgstr "Error: Código EAN erróneo"
+
+#. module: bias_product_related_cost
+#: model:ir.model,name:bias_product_related_cost.model_res_partner
+msgid "Partner"
+msgstr "Empresa"
+
+#. module: bias_product_related_cost
+#: view:res.partner.related.cost:0
+msgid "Partner Related Cost"
+msgstr "Partner Related Cost"
+
+#. module: bias_product_related_cost
+#: model:ir.model,name:bias_product_related_cost.model_res_partner_related_cost
+msgid "res.partner.related.cost"
+msgstr "res.partner.related.cost"
+
+#. module: bias_product_related_cost
+#: model:ir.model,name:bias_product_related_cost.model_res_partner_related_cost_line
+msgid "res.partner.related.cost.line"
+msgstr "res.partner.related.cost.line"
+

=== added file 'bias_product_related_cost/partner.py'
--- bias_product_related_cost/partner.py	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/partner.py	2011-05-09 13:36:45 +0000
@@ -0,0 +1,63 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv
+from osv import fields
+import urllib,re
+import random, time
+from tools.translate import _
+
+class res_partner(osv.osv):
+    _inherit = "res.partner"
+    _columns = {
+        'related_cost_ids': fields.one2many('res.partner.related.cost.line', 'product_id', 'Related Cost'),
+    }
+
+res_partner()
+
+class res_partner_related_cost(osv.osv):### ADD a name constrain !!!!!!
+    _order = 'name'
+    _name = 'res.partner.related.cost'
+    _columns = {
+        'factor': fields.float('Factor', digits=(14,4)),
+        'active': fields.boolean('Active'),
+        'name': fields.char('Name', size=32)
+    }
+    _defaults = {
+        'active': lambda *args: 1
+    }
+
+res_partner_related_cost()
+
+class res_partner_related_cost_line(osv.osv):
+    _name = 'res.partner.related.cost.line'
+    _columns = {
+        'factor': fields.float('Factor', digits=(14,4)),
+        'active': fields.boolean('Active'),
+        'product_id': fields.many2one('res.partner', 'Product', required=True, select=True),
+        'relaed_cost_id': fields.many2one('res.partner.related.cost', 'Related Cost', required=True, select=True),
+    }
+    _defaults = {
+        'active': lambda *args: 1
+    }
+res_partner_related_cost_line()
+
+

=== added file 'bias_product_related_cost/partner_view.xml'
--- bias_product_related_cost/partner_view.xml	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/partner_view.xml	2011-05-09 13:36:45 +0000
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        
+<!--        All Product Price Tab -->
+    <record id="view_crm_partner_cost_form" model="ir.ui.view">
+        <field name="name">res.partner.cost.inherit</field>
+        <field name="model">res.partner</field>
+        <field name="type">form</field>
+        <field name="inherit_id" ref="base.view_partner_form"/>
+        <field name="arch" type="xml">
+            <xpath expr="//notebook[last()]" position="inside">
+                <page string="Partner's Related Costs" groups="base.group_extended">
+                        <field colspan="4" name="related_cost_ids" nolabel="1" widget="one2many_list">
+                            <tree string="Related Costs" editable="bottom">
+                                <field name="relaed_cost_id"/>
+                                <field name="factor"/>
+                                <field name="active"/>
+                            </tree>
+                            <form string="Related Costs">
+                                <field name="relaed_cost_id"/>
+                                <field name="factor"/>
+                                <field name="active"/>
+                            </form>
+                        </field>
+                </page>
+            </xpath>
+        </field>
+    </record>
+
+        <!-- Partner Related Cost -->
+
+        <record id="partner_related_cost_tree_view" model="ir.ui.view">
+            <field name="name">res.partner.related.cost.tree</field>
+            <field name="model">res.partner.related.cost</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Partner Related Cost">
+		    <field name="name"/>
+                    <field name="factor"/>
+                    <field name="active"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="partner_related_cost_form_view" model="ir.ui.view">
+            <field name="name">res.partner.related.cost.form</field>
+            <field name="model">res.partner.related.cost</field>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <form string="Partner Related Costs">
+		    <field name="name"/>
+                    <field name="factor"/>
+                    <field name="active"/>
+                </form>
+            </field>
+        </record>
+        <record id="partner_related_cost_form_action" model="ir.actions.act_window">
+            <field name="name">Partner Related Costs</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">res.partner.related.cost</field>
+            <field name="view_type">form</field>
+            <field name="view_id" ref="partner_related_cost_tree_view"/>
+            <field name="help">Create and manage the product cost directly related to the received product. You could include such elements as:
+    • supplier price,
+    • delivery charges,
+    • manufacturing costs,
+    • storage charges..</field>
+        </record>
+        <menuitem id="menu_partner_related_cost" name="Partner Related Costs" parent="purchase.menu_purchase_config_purchase" sequence="60"/>
+        <menuitem action="partner_related_cost_form_action" id="menu_partner_related_cost_form_action" parent="menu_partner_related_cost"/>
+
+    </data>
+</openerp>

=== added file 'bias_product_related_cost/product.py'
--- bias_product_related_cost/product.py	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/product.py	2011-05-09 13:36:45 +0000
@@ -0,0 +1,52 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution	
+#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+#
+#Bias Product / PriceList 
+#
+from osv import osv
+from osv import fields
+from tools import config
+import time
+import netsvc
+import decimal_precision as dp
+
+#----------------------------------------------------------
+# Price List
+#----------------------------------------------------------
+
+class product_product(osv.osv):
+    _inherit = "product.product"
+
+    def _clon_price(self, cr, uid, ids, fields, arg, context=None):
+        result = {}
+        for product in self.browse(cr, uid, ids, context=context):
+		result[product.id] = product.standard_price or False
+        return result
+
+    _columns = {
+        'first_cost': fields.float('First Cost', digits_compute=dp.get_precision('Purchase Price'), help="Product's first cost."),
+        'last_cost': fields.float('Last Cost', digits_compute=dp.get_precision('Purchase Price'), help="Product's last cost."),
+        'purchase_standard_price': fields.float('Std. Purchase Price', digits_compute=dp.get_precision('Account'), help="Product's standard cost based in purchase only."),
+        'clon_standard_price': fields.function(_clon_price, method=True, type='float', string='Cost Price', help="Product's standard cost based in purchase and related costs."),
+        }
+
+product_product()

=== added file 'bias_product_related_cost/product_view.xml'
--- bias_product_related_cost/product_view.xml	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/product_view.xml	2011-05-09 13:36:45 +0000
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        
+<!--        All Product Price Tab -->
+    <record id="view_product_price_form" model="ir.ui.view">
+        <field name="name">res.product.price.inherit</field>
+        <field name="model">product.product</field>
+        <field name="type">form</field>
+        <field name="inherit_id" ref="product.product_normal_form_view"/>
+        <field name="arch" type="xml">
+            <xpath expr="//notebook[last()]" position="inside">
+                <page string="Product's Costs">
+		    <field name="first_cost"/>
+		    <newline/>
+		    <field name="last_cost"/>
+		    <newline/>
+		    <field name="purchase_standard_price"/>
+		    <newline/>
+		    <field name="clon_standard_price"/>
+                </page>
+            </xpath>
+        </field>
+    </record>
+
+    </data>
+</openerp>

=== added directory 'bias_product_related_cost/security'
=== added file 'bias_product_related_cost/security/ir.model.access.csv'
--- bias_product_related_cost/security/ir.model.access.csv	1970-01-01 00:00:00 +0000
+++ bias_product_related_cost/security/ir.model.access.csv	2011-05-09 13:36:45 +0000
@@ -0,0 +1,5 @@
+"id","name","model_id:id","group_id:id","perm_read","perm_write","perm_create","perm_unlink"
+"access_res_partner_related_cost","res.partner.related.cost","model_res_partner_related_cost","purchase.group_purchase_user",1,1,1,1
+"access_res_partner_related_cost_manager","res.partner.related.cost","model_res_partner_related_cost","purchase.group_purchase_manager",1,1,1,1
+"access_res_partner_related_cost_line","res.partner.related.cost.line","model_res_partner_related_cost_line","purchase.group_purchase_user",1,1,1,1
+"access_res_partner_related_cost_line_manager","res.partner.related.cost.line","model_res_partner_related_cost_line","purchase.group_purchase_manager",1,1,1,1

=== modified file 'bias_query/wizard/wizard_import_export.py'
--- bias_query/wizard/wizard_import_export.py	2010-08-11 23:32:23 +0000
+++ bias_query/wizard/wizard_import_export.py	2011-04-29 23:13:10 +0000
@@ -82,9 +82,11 @@
         import_file_brw = import_file_obj.browse(cr, uid, data['ids'])
         for file_brw in import_file_brw:
             object_information = import_file_obj.copy_data(cr, uid, file_brw.id)
-            object_information[0]['name'] = object_information[0]['name']
+            if type(object_information).__name__ ==  'list':
+                object_information = object_information[0]
+            object_information['name'] = object_information['name']
 	buf = StringIO.StringIO()
-	writer = buf.write(object_information[0])
+	writer = buf.write(object_information)
 	out = base64.encodestring(buf.getvalue())
 	buf.close()
         return {'object_information':out}

